=== vfs/null_plugin/Makefile ===
# path definitions
DESTDIR = /usr
INSTALL=install -c
INSTALL_DATA = ${INSTALL} -m 644
LIB_SUFFIX=`if test \`uname -m\` = x86_64; then echo 64; fi`

# compiler options
CC = gcc
CFLAGS = -Wall -O2 -g


all shared static: null_plugin

null_plugin: null_plugin.c
	$(CC) -c null_plugin.c -I. -fPIC -I/usr/include $(CFLAGS)
	$(CC) -shared -Wall -o libnull_plugin.so null_plugin.o 

install::
	$(INSTALL) ./libnull_plugin.so $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd/

clean: 
	rm -f *.o libnull_plugin.so
