## tuxcmd 0.6.70+dfsg

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 
 #  Specify paths
-DESTDIR=/usr
+DEFAULT_DESTDIR=/usr
 
 # following paths are optional; needed only for Kylix compilation
 KYLIXPREFIX=/usr/local/kylix3
@@ -29,10 +29,10 @@
 
 
 
-INSTALL=install -c
-INSTALL_DATA = ${INSTALL} -m 644
+DESTDIR=$(DEFAULT_DESTDIR)
+INSTALL=install
 CLEAN_OBJS=*.o *.a *.d *.s *.ppu *.dcu *.rst *~ *.~* core tuxcmd fpcver.inc
-LIB_SUFFIX=`if test \`uname -m\` = x86_64; then echo 64; fi`
+LIB_SUFFIX=`if test \`uname -m\` = x86_64 -o \`uname -m\` = ppc64; then echo 64; fi`
 
 
 # -Ct must be disabled here, causes unneeded crashes
@@ -41,7 +41,7 @@
 # -XX prevents linking errors of unresolved and unused symbols
 # "-k-z noexecstack" (with quotes as a single parameter) avoids marking stack as executable, allowing to work correctly with SELinux in Enforcing mode
 CFLAGS= -vweh -Un -Ci -Co -XX "-k-z noexecstack"
-
+EXTRA_CFLAGS= -O3
 
 
 tuxcmd::
@@ -52,21 +52,24 @@
 	echo "  ConstFPCCompilerHostProcessorString = '`fpc -iSP`';" >> fpcver.inc
 	echo "  ConstFPCTargetOSString = '`fpc -iTO`';" >> fpcver.inc
 	echo "  ConstFPCTargetProcessorString = '`fpc -iTP`';" >> fpcver.inc
-	fpc -Mdelphi $(CFLAGS) \
+	fpc -Mdelphi $(CFLAGS) $(EXTRA_CFLAGS) \
 	    -Fu./libgtk_kylix -Fu./translations -Fu./vfs \
 	    tuxcmd.dpr
 
-debug: CFLAGS += -g
+
+debug: EXTRA_CFLAGS = -g -gl -gv -O-
 debug: tuxcmd
 
+final_debug: EXTRA_CFLAGS = -g -gl -gv -O3
+final_debug: tuxcmd
 
 kylix::
-	$(KYLIXPREFIX)/bin/dcc -DKYLIX \
+	$(KYLIXPREFIX)/bin/dcc -DKYLIX -V -H -W -$$X+ -$$I+ -$$D+ -$$I+ -$$L+ -$$M+ -$$Q+ -$$R+ -$$W+ -$$Y+ \
 	-U$(GTK2FORPASCAL_LIBDIR)/glib -U$(GTK2FORPASCAL_LIBDIR)/pango \
 	-U$(GTK2FORPASCAL_LIBDIR)/atk -U$(GTK2FORPASCAL_LIBDIR)/gtk+/gtk \
 	-U$(GTK2FORPASCAL_LIBDIR)/gtk+/gdk -U$(GTK2FORPASCAL_LIBDIR)/gtk+/gdk-pixbuf \
 	-U$(KYLIXPREFIX)/lib \
-	-U./libgtk_kylix -U./translations -U./vfs ./tuxcmd.dpr
+	-U./libgtk_kylix -U./translations -U./vfs -U./compat ./tuxcmd.dpr
 
 
 modules::
@@ -82,19 +85,44 @@
 	( cd vfs && rm -f $(CLEAN_OBJS) )
 	( cd libgtk_kylix && rm -f $(CLEAN_OBJS) )
 	( cd translations && rm -f $(CLEAN_OBJS) )
-	
+	( cd compat && rm -f $(CLEAN_OBJS) )
+
+
+gtk_update_icon_cache = gtk-update-icon-cache -f -t $(DESTDIR)/share/icons/hicolor
 
 tuxcmd_install:
-	if [ ! -d $(DESTDIR) ]; then mkdir -p $(DESTDIR); fi;
-	if [ ! -d $(DESTDIR)/bin ]; then mkdir -p $(DESTDIR)/bin; fi;
-	if [ ! -d $(DESTDIR)/share ]; then mkdir -p $(DESTDIR)/share; fi;
-	if [ ! -d $(DESTDIR)/share/doc ]; then mkdir -p $(DESTDIR)/share/doc; fi;
-	if [ ! -d $(DESTDIR)/share/doc/tuxcmd ]; then mkdir -p $(DESTDIR)/share/doc/tuxcmd; fi;
-	if [ ! -d $(DESTDIR)/lib$(LIB_SUFFIX) ]; then mkdir -p $(DESTDIR)/lib$(LIB_SUFFIX); fi;
-	if [ ! -d $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd ]; then mkdir -p $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd; fi;
-	$(INSTALL) ./tuxcmd $(DESTDIR)/bin
-	$(INSTALL_DATA) ./COPYING $(DESTDIR)/share/doc/tuxcmd
-	$(INSTALL_DATA) ./README $(DESTDIR)/share/doc/tuxcmd
+	$(INSTALL) -d $(DESTDIR)/bin
+	$(INSTALL) -m 755 tuxcmd $(DESTDIR)/bin
+	$(INSTALL) -d $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd
+	$(INSTALL) -d $(DESTDIR)/share/doc/tuxcmd
+	$(INSTALL) -m 644 COPYING $(DESTDIR)/share/doc/tuxcmd
+	$(INSTALL) -m 644 README $(DESTDIR)/share/doc/tuxcmd
+	
+	desktop-file-install -m 644 --dir $(DESTDIR)/share/applications data/tuxcmd.desktop
+	
+	$(INSTALL) -d $(DESTDIR)/share/icons/hicolor/16x16/apps
+	$(INSTALL) -m 644 data/icons/16x16/tuxcmd.png $(DESTDIR)/share/icons/hicolor/16x16/apps
+	$(INSTALL) -d $(DESTDIR)/share/icons/hicolor/24x24/apps
+	$(INSTALL) -m 644 data/icons/24x24/tuxcmd.png $(DESTDIR)/share/icons/hicolor/24x24/apps
+	$(INSTALL) -d $(DESTDIR)/share/icons/hicolor/32x32/apps
+	$(INSTALL) -m 644 data/icons/32x32/tuxcmd.png $(DESTDIR)/share/icons/hicolor/32x32/apps
+	$(INSTALL) -d $(DESTDIR)/share/icons/hicolor/48x48/apps
+	$(INSTALL) -m 644 data/icons/48x48/tuxcmd.png $(DESTDIR)/share/icons/hicolor/48x48/apps
+	$(INSTALL) -d $(DESTDIR)/share/icons/hicolor/64x64/apps
+	$(INSTALL) -m 644 data/icons/64x64/tuxcmd.png $(DESTDIR)/share/icons/hicolor/64x64/apps
+	$(INSTALL) -d $(DESTDIR)/share/icons/hicolor/128x128/apps
+	$(INSTALL) -m 644 data/icons/128x128/tuxcmd.png $(DESTDIR)/share/icons/hicolor/128x128/apps
+	$(INSTALL) -d $(DESTDIR)/share/icons/hicolor/scalable/apps
+	$(INSTALL) -m 644 data/icons/scalable/tuxcmd.svg $(DESTDIR)/share/icons/hicolor/scalable/apps
+	
+	@-if test "$(DESTDIR)" = "$(DEFAULT_DESTDIR)"; then \
+		echo "Updating Gtk icon cache."; \
+		$(gtk_update_icon_cache); \
+	else \
+		echo "*** Icon cache not updated.  After install, run this:"; \
+		echo "***   $(gtk_update_icon_cache)"; \
+	fi
+
 
 uninstall:
 	if [ -f $(DESTDIR)/bin/tuxcmd ]; then rm -f $(DESTDIR)/bin/tuxcmd; fi;
