=== pixmaps/tools/Makefile ===
CC = gcc
CFLAGS = -Wall -ggdb

gdk-pixbuf-pas: gdk-pixbuf-pas.c
	$(CC) -o gdk-pixbuf-pas gdk-pixbuf-pas.c -I. -I/usr/include $(CFLAGS) `pkg-config glib-2.0 --cflags --libs`

clean: 
	rm -f *.o gdk-pixbuf-pas

all: gdk-pixbuf-pas
