=== debian/changelog ===
tuxcmd (0.6.70+dfsg-2) unstable; urgency=low

  * QA upload.
  * Set Maintainer to Debian QA Group
  * Remove DM-Upload-Allowed field in debian/control
  * Update debian/copyright file information.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
    Update copyright for debian/* packaging files.
  * Fix typos in tuxcmd manpage (Closes: #558325)
  * Bump Standards-Version to 3.9.4
  * Bump Debhelper compat level to 9.
    Adjust versioned Build-Depends on debhelper to (>= 9).

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 10 May 2013 20:28:22 +0200

tuxcmd (0.6.70+dfsg-1) unstable; urgency=low

  * New upstream release
    - Portuguese localization added (Closes: #556187).
  * Remove comment from debian/watch since upstream version should be again
    monitorable via watch file. 
  * Refresh debian/copyright information. 
  * debian/patches:
    - Refresh 01_do_not_install_COPYING_file.patch.
    - Drop patches which are now integrated in new upstream version directly:
      + 04_zh_locale.patch 
      + add_portuguese_localisation.patch
    - Drop do_not_run-gtk-update-icon-cache.patch: This patch is not needed
      anymore since upstream now tests for installation in non-/usr dir and
      will not run gtk-update-icon-cache there.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Tue, 17 Nov 2009 19:51:28 +0100

tuxcmd (0.6.69+dfsg-1) unstable; urgency=low
  
  * New upstream release
    - Improvements and bugfixes in development.
    - Repackage upstreams tarball excluding two files with unclear licensing.
      Add a README.source to explain how to get the orig.tar.gz
  * debian/watch: Add a comment on why current version cannot be monitored via
    debian/watch file and add option to mangle version. 
  * debian/patches:
    - Drop patches which are now integrated in new upstream version directly:
      + display_correct_file_dates_and_sizes_in_overwrite_dialog.patch
      + 02_skip_0_and_NULL_mount_points.patch
      + 03_restore_last_used_item_fix_for_connmgr.patch
      + svf_date_and_time_stamp.patch
      + checksums_dialog_set_columns_as_autosizing.patch
    - Refresh 01_do_not_install_COPYING_file.patch.
    - Refresh 04_zh_locale.patch patch
  * Drop debian/tuxcmd.desktop since upstream comes now with a freedesktop
    desktop entry file. Upstreams tuxcmd.desktop file is installed
    accordingly.
  * Drop debian/tuxcmd.xpm (upstream integrates now own icon file). Install the
    scalable version into `/usr/share/icons/hicolor/scalable/'.
  * debian/control: Add desktop-file-utils to Build-Depends.
  * Bump Standards-Version to 3.8.3 (no changes).
  * Refresh debian/copyright and update it to the proposed machine readable
    format specification proposed by DEP5. 
  * Add portuguese translation. Thanks to Américo Monteiro.
  * Convert to '3.0 (quilt)' source package format. Drop explicit build
    dependencies in debian/control and debian/rules.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 08 Nov 2009 20:42:05 +0100

tuxcmd (0.6.50-6) unstable; urgency=low

  * Add a tuxcmd icon file and the desktop file taken from fedora CVS.
  * Bump Standards-Version to 3.8.2 (no changes needed). 
  * debian/copyright: Update Format-Specification to the dep5 proposal. 
  * debian/rules: Minimize the rules file by using dh commands and a tiny
    version (adjust Build-Depends on debhelper and quilt to required
    versions). 
  * debian/README.source: shorten explanation of the use of the patch
    system quilt and point for further details to the document in
    /usr/share/doc/quilt/README.source 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sat, 20 Jun 2009 16:03:44 +0200

tuxcmd (0.6.50-5) unstable; urgency=low

  * Add patch svf_date_and_time_stamp.patch: This patch fixes the date
    and time stamp format showed when verifying a SVF checksums file.
  * Add patch from upstream Git-Repository for the Checksums dialog to
    set the columns width to autosizing instead of fixed.
  * debian/control: Add DM-Upload-Allowed field. 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Thu, 21 May 2009 18:25:35 +0200

tuxcmd (0.6.50-4) unstable; urgency=low

  * Apply patch from Li Daobing to fix garbled interface under the
    zh_CN locale (Closes: #529218). 
  * debian/rules: Do not set DH_VERBOSE=1. 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Mon, 18 May 2009 08:31:05 +0200

tuxcmd (0.6.50-3) unstable; urgency=low

  * Bump Standards-Version to 3.8.1.
  * Switch from dpatch to quilt patch system.
  * Integrate patch from Git-Repository to display correct file dates and
    sizes in overwrite dialog. 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Tue, 12 May 2009 21:40:41 +0200

tuxcmd (0.6.50-2) unstable; urgency=low

  * Add patch from Git-Repository to skip '0' and NULL mount points.
  * Connection Manager: Fix a typo preventing to restore the last
    used item properly. 
  * Fix "copyright-refers-to-symlink-license usr/share/common-licenses/GPL"
    pedantic lintian warning and refer explicitely to the GPL version
    2 license file. 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 08 Feb 2009 14:29:23 +0100

tuxcmd (0.6.50-1) unstable; urgency=low

  * Initial release (Closes: #498513)

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Tue, 09 Dec 2008 19:44:46 +0100
