=== debian/control ===
Source: tuxcmd
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), fpc, desktop-file-utils
Standards-Version: 3.9.4
Homepage: http://tuxcmd.sourceforge.net/

Package: tuxcmd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tuxcmd-modules
Description: twin-panel (commander-style) file manager using GTK+ 2
 Tux Commander is a windowed file manager with 2 panels side
 by side similar to popular Total Commander or Midnight 
 Commander file managers.
 . 
 General features:
  * Two directory panels side by side (vertical)
  * Tabbed interface, buttons for quick access to favorite 
    places
  * Configurable mounter bar for quick access to removable 
    media and network shares
  * Multilingual user interface
  * Extendable via plugin system 
  * Extension-based file type actions (associations)
