=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/tuxcmd/tuxcmd-([\d\.]*)\.tar\.bz2
